> ## Documentation Index
> Fetch the complete documentation index at: https://docs.socq.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Google 新闻

> 按关键词采集 Google 新闻文章，包含媒体名称、原文链接、摘要和发布时间。

# Google 新闻

在 Google 新闻覆盖的任何市场里，盯住一家公司、一个产品或一个话题的报道。结果保持 Google 的排列顺序，头条新闻在前；每篇文章都带标题、摘要、媒体名称、发布时间，以及直达媒体原文的链接，不是 Google 的跳转地址。适合接入舆情监测、竞品动态提醒或每日新闻简报。

```json theme={"dark"}
{
  "query": "nvidia",
  "location_code": 2840,
  "language_code": "en",
  "results_limit": 10
}
```

通过 query 提供搜索词，默认美国（2840）和英语（en）。results\_limit 默认 10，可填 1–200 之间的整数。每篇文章计 0.1 积分。

## 标准结果字段

任务结果使用下方稳定的 SocQ 字段。系统会统一来源特有的字段名和格式，但不会推断或补充来源未提供的数据。如需缩小返回字段集合，MCP 查询使用 `fields`，Typed 工具使用 `_result_fields`，CLI 使用 `--result-fields`。声明字段的值为 `null` 时仍会保留。

| 字段 | 类型 | 可空 | 说明 |
| - | - | - | - |
| `id` | `string` | 是 | 文章地址，作为标识。 |
| `platform` | `string` | 否 | 结果所属的平台，例如 `instagram` 或 `linkedin`。 |
| `resource` | `string` | 否 | 该结果对应的 SocQ 资源，例如 `videos` 或 `comments`。 |
| `type` | `string` | 否 | 结果项的类别，例如 `video`、`post` 或 `comment`。 |
| `url` | `string` | 是 | 文章在发布者网站上的地址。 |
| `published_at` | `string` | 是 | 文章的发布时间，使用 ISO 8601 格式。 |
| `collected_at` | `string` | 否 | SocQ 采集或处理该结果的时间，使用 ISO 8601 格式。 |
| `title` | `string` | 是 | 文章标题。 |
| `text` | `string` | 是 | 标题下方展示的摘要。 |
| `source` | `string` | 是 | 文章发布者，例如 `Reuters`。 |
| `domain` | `string` | 是 | 发布者网站的域名。 |
| `image_url` | `string` | 是 | 文章缩略图的地址（公开可访问时）。 |
| `section` | `string` | 是 | 文章所在的版块：`top_stories` 或 `news`。 |
| `rank` | `integer` | 是 | 文章在结果中的位置（头条在前），从 1 开始。 |
| `query` | `string` | 是 | 结果所对应的搜索词。 |

以下示例展示任务完成后的响应格式，具体数据以实际查询结果为准。

## 任务完成响应

```json theme={"dark"}
{
  "code": 200,
  "data": {
    "task_id": "example-seo-google-news",
    "status": "succeeded",
    "public_id": "seo/google-news",
    "result_count": 1,
    "credits_amount": 0.1,
    "results": {
      "limit": 50,
      "next_cursor": null,
      "has_more": false,
      "schema_id": "news-article",
      "schema_version": "1.0",
      "items": [
        {
          "id": "https://finance.yahoo.com/technology/live/nvidia-earnings-live-nvidia-posts-q3-beat-board-says-it-will-not-reinstate-jensen-huang-as-ceo-221428433.html",
          "platform": "seo",
          "resource": "google-news",
          "type": "news-article",
          "url": "https://finance.yahoo.com/technology/live/nvidia-earnings-live-nvidia-posts-q3-beat-board-says-it-will-not-reinstate-jensen-huang-as-ceo-221428433.html",
          "published_at": "2026-11-17T23:30:16Z",
          "collected_at": "2026-11-17T23:54:18.299431Z",
          "title": "Nvidia earnings live: Nvidia posts Q3 beat as revenue rose 103% YOY to $115.8B, board says it will not reinstate Jensen Huang as CEO",
          "text": "Nvidia (NVDA) reported its Q3 results after the bell Tuesday, beating Wall Street's expectations on the top and bottom lines and offering a...",
          "source": "finance.yahoo.com",
          "domain": "finance.yahoo.com",
          "image_url": null,
          "section": "news",
          "rank": 1,
          "query": "nvidia"
        }
      ]
    }
  }
}
```


## OpenAPI

````yaml zh/api-manual/agent-api/agent-api.json POST /v1/seo/google-news
openapi: 3.1.0
info:
  title: SocQ Agent API 中文版
  version: v1-87892a6484c2
  description: 根据 SocQ 能力目录生成的异步社交数据 API。
servers:
  - url: https://api.socq.ai
security: []
paths:
  /v1/seo/google-news:
    post:
      tags:
        - seo
      summary: Google 新闻
      description: 按关键词采集 Google 新闻文章，包含媒体名称、原文链接、摘要和发布时间。
      operationId: socq_seo_google_news
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $schema: https://json-schema.org/draft/2020-12/schema
              type: object
              additionalProperties: false
              properties:
                callback_url:
                  type: string
                  format: uri
                  description: 可选的任务完成回调 URL。
                language:
                  type: string
                  minLength: 1
                  description: 结果的语言名称，可代替 language_code。
                language_code:
                  type: string
                  minLength: 2
                  maxLength: 10
                  description: 结果的语言代码，默认 en。
                location_code:
                  type: integer
                  minimum: 1
                  description: 搜索市场的位置代码，默认 2840（美国）。
                location_name:
                  type: string
                  minLength: 1
                  description: 搜索市场的位置名称，可代替 location_code。
                query:
                  type: string
                  minLength: 1
                  description: 搜索词，与在搜索框中输入的内容一致。
                results_limit:
                  type: integer
                  minimum: 1
                  maximum: 200
                  default: 10
                  description: 最多保存的结果数，实际结果可能少于该值。
              required:
                - query
              description: >-
                通过 query 提供搜索词，默认美国（2840）和英语（en）。results_limit 默认 10，可填 1–200
                之间的整数。每篇文章计 0.1 积分。
      responses:
        '200':
          description: 任务已受理
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentSubmitResponse'
        '422':
          description: Input validation failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentValidationErrorResponse'
      security:
        - bearerAuth: []
        - apiKeyAuth: []
components:
  schemas:
    AgentSubmitResponse:
      type: object
      properties:
        code:
          type: integer
          const: 200
          description: HTTP 业务状态码。
        data:
          type: object
          properties:
            task_id:
              type: string
              description: 任务 ID，用于查询任务状态和结果。
            status:
              type: string
              description: 任务当前状态。
            created_time:
              type:
                - string
                - 'null'
              description: 任务创建时间。
          required:
            - task_id
            - status
    AgentValidationErrorResponse:
      type: object
      properties:
        code:
          type: integer
          const: 422
        error:
          type: object
          properties:
            message:
              type: string
            type:
              type: string
            details:
              type: object
          required:
            - message
            - type
      required:
        - code
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: '使用 `Authorization: Bearer <token>` 请求头进行身份验证。'
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: 也可以通过 `x-api-key` 请求头提供 API Key。

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.